%global		_appname	earth-and-moon

Name:		earth-and-moon-backgrounds
Version:	0.1
Release:	4%{?dist}
Summary:	Modern background
License:	GPL+
Group:		User Interface/Desktops
URL:		http://bioinformatiques.free.fr/
Source0:	http://bioinformatiques.free.fr/%{_appname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{_appname}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch


%description
Earthlooks is beautiful theme. The background change often. You can see earth
rotate on herself and moon rotate around earth. This theme is compatible with
many resolution: eepc: 800x480, normalish: 1280x1024, normal: 1600x1200, wide:
1900x1200

%prep
%setup -q -n %{_appname}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
# create wallpaper directorie
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/backgrounds/%{_appname}/
# copy image files
install -p -m644 images/* $RPM_BUILD_ROOT/%{_datadir}/backgrounds/%{_appname}/

# copy xml file
install -p -m644 %{_appname}.xml $RPM_BUILD_ROOT/%{_datadir}/backgrounds/%{_appname}/

# copy metadata xmls file
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/gnome-background-properties/
cp -p desktop-backgrounds-earth-and-moon.xml $RPM_BUILD_ROOT/%{_datadir}/gnome-background-properties/


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%dir %{_datadir}/gnome-background-properties/
%{_datadir}/backgrounds/earth-and-moon/
%{_datadir}/gnome-background-properties/desktop-backgrounds-earth-and-moon.xml

%changelog
* Fri Mar 05 2009  Jonathan MERCIER <bioinfornatics at gmail.com> - 0.1-4
- Add "%%dir %%{_datadir}/gnome-background-properties/" to %%files
- For "install -p"

* Wed Mar 04 2009  Jonathan MERCIER <bioinfornatics at gmail.com> - 0.1-3
- use %%global instead of %%define
- license tag change to "GPL+"
- use "-p" option when using "cp" or "install" command to keep timestamps on installed files
- %%dir %%{_datadir}/backgrounds/earth-and-moon is not needed
- put one line between each %%changelog entry
- the directory %%_datadir/backgrounds is owned by filesystem

* Wed Feb 18 2009 Jonathan MERCIER <bioinfornatics at gmail.com> - 0.1-2
- change package name to earth-and-moon-background

* Sat Oct 25 2008 Jonathan MERCIER <bioinfornatics at gmail.com> - 0.1-1
- Initial release
